function onBegin()
	while true do
		if not getFlag("SJ_Maya_PS") then
			bloomPulse()
		else
			setBloomStrength(1)
		end
		wait(.65)
	end
		
end
function bloomPulse()
	local bloomStrength = 1.7

	while (bloomStrength < 1.8) do
		bloomStrength = bloomStrength + .09
		setBloomStrength(bloomStrength)
		wait(.07)
	end
	while (bloomStrength > 1.7) do
		bloomStrength = bloomStrength - .09
		setBloomStrength(bloomStrength)
		wait(.07)
	end
end